SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
DataStructures::Tree< TreeType > Class Template Reference

`#include <slikenet/DS_Tree.h>`

Inheritance diagram for DataStructures::Tree< TreeType >:

## Public Member Functions

| Tree ()
| Tree (TreeType &inputData)
| ~Tree ()
void | LevelOrderTraversal (DataStructures::List< Tree * > &output)
void | AddChild (TreeType &newData)
void | DeleteDecendants (void)

## Public Attributes

TreeType | data
DataStructures::List< Tree * > | children

## Detailed Description

### template<class TreeType>
class DataStructures::Tree< TreeType >

Definition at line 36 of file DS_Tree.h.

## Constructor & Destructor Documentation

template<class TreeType >

DataStructures::Tree< TreeType >::Tree | ( |  | ) |

Definition at line 51 of file DS_Tree.h.

template<class TreeType>

DataStructures::Tree< TreeType >::Tree | ( | TreeType & | inputData | ) |

Definition at line 57 of file DS_Tree.h.

References inputData.

template<class TreeType >

DataStructures::Tree< TreeType >::~Tree | ( |  | ) |

Definition at line 63 of file DS_Tree.h.

## Member Function Documentation

template<class TreeType>

void DataStructures::Tree< TreeType >::AddChild | ( | TreeType & | newData | ) |

Definition at line 88 of file DS_Tree.h.

References _FILE_AND_LINE_.

template<class TreeType >

void DataStructures::Tree< TreeType >::DeleteDecendants | ( | void |  | ) |

Definition at line 94 of file DS_Tree.h.

References _FILE_AND_LINE_, and SLNet::OP_DELETE().

Referenced by DataStructures::WeightedGraph< node_type, weight_type, allow_unlinkedNodes >::GetSpanningTree().

template<class TreeType >

void DataStructures::Tree< TreeType >::LevelOrderTraversal | ( | DataStructures::List< Tree< TreeType > * > & | output | ) |

Definition at line 69 of file DS_Tree.h.

References _FILE_AND_LINE_, DataStructures::Tree< TreeType >::children, DataStructures::List< list_type >::Insert(), DataStructures::Queue< queue_type >::Pop(), DataStructures::Queue< queue_type >::Push(), DataStructures::Queue< queue_type >::Size(), and DataStructures::List< list_type >::Size().

## Member Data Documentation

template<class TreeType>

DataStructures::List<Tree *> DataStructures::Tree< TreeType >::children

Definition at line 47 of file DS_Tree.h.

Referenced by DataStructures::WeightedGraph< node_type, weight_type, allow_unlinkedNodes >::GetSpanningTree(), and DataStructures::Tree< TreeType >::LevelOrderTraversal().

template<class TreeType>

TreeType DataStructures::Tree< TreeType >::data

Definition at line 46 of file DS_Tree.h.

Referenced by DataStructures::WeightedGraph< node_type, weight_type, allow_unlinkedNodes >::GetSpanningTree().

The documentation for this class was generated from the following file:

- Source/include/slikenet/DS_Tree.h